html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}



html, body{
    width: 100%;
    height: 100%;
    overflow: hidden;
    margin: 0;
    padding: 0;
    font-family: "Montserrat", sans-serif;
}

body{
    position: relative;
    /* background: radial-gradient(at top left, #ffffff, #424242); */
}

.hidden{
    display: none!important;
}

.circle{
    border-radius: 50%;
    transform-origin: center center;
    /* background-image: radial-gradient(at top left, #2b2b2b, #ffffff); */
}

.controls {
    position: fixed;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 100;
    display: flex;
    gap: 8px;
}

button {
    padding: 8px 16px;
    border: none;
    background: rgba(255, 255, 255, 0.2);
    color: white;
    border-radius: 4px;
    cursor: pointer;
    transition: background 0.3s;
}

button:hover {
    background: rgba(255, 255, 255, 0.3);
}

.home-overlay{
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    position: absolute;
}

.swiper {
  width: 100%;
  height: 100%;
  overflow: hidden;
  position: relative;
  backdrop-filter: blur(20px);
  
}

.swiper-slide {
    display: flex;
    justify-content: center;
    align-items: center;
    column-gap: 2rem;
}

.input-modelo{
    width: 300px;
    outline: none;
    padding: 8px 16px;
    border-radius: 12px;
    border: 2px solid #ffffff;
    background: transparent;
    box-shadow: none;
    color: #ffffff;
    font-size: .9rem;
    transition: border .3s ease;
}

.input-modelo::placeholder{
    color: #a0a0a0;
}

.input-modelo:focus{
    border: 2px solid rgba(100,100,100);
}

.motorcycle-img{
    max-width:300px;
    user-select: none;
    /* Below is meant to fix filter: drop-shadow on safari */
    will-change: filter;
}

.moto-infos{
    width: 30%;
    text-align: center;
    max-width: 400px;
}

.moto-title{
    color: #fff;
    font-weight: 600;
    font-size: 1.2rem;
}

.swiper-scrollbar{
    --swiper-scrollbar-right: 5px;
    --swiper-scrollbar-size: 6px;
    background: rgba(100,100,100, 0.5);
}

.swiper-scrollbar-drag{
    background: rgba(255,255,255, 0.5);
}

table{
    width:30%;
    border-collapse: collapse;
    opacity: 0;
}

tr:first-child{
    background: #000000;
    font-weight: 600;
}

tr:nth-child(even){
    background: rgba(0,0,0, .2);
}

tr{
    background: rgba(0,0,0,.5);
}

table, th,td {
    border: 2px solid #c5c5c5;
    color: #fff;
}
th, td{
    width: 33%;
    text-align: center;
    vertical-align: middle;
    padding: .5rem;
}



/* slide ativo totalmente opaco */
.swiper-slide-active {
  opacity: 1;
}

header{
    position: fixed;
    top: 0;
    left: 0;
    width: calc(100vw - 4rem);
    z-index: 102;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 2rem;
    column-gap: 3rem;
}

.logo-athlon{
    width:150px;
}

.img-container{
    width: auto;
    position: relative;
    opacity: 0;
}

.hero-title{
    font-family: "Bangers", system-ui;
    font-size: 5rem;
    position: absolute;
    rotate: -20deg;
    z-index: -1;
}

/* .esquema-eletrico-btn{
    display: none;
} */

.list-motos-container, .esquema-eletrico-btn{
    color: #ffffff;
    font-size: .9rem;
    padding: 8px 16px;
    border-radius: 25px;
    transition: background 0.3s ease, transform 0.3s ease;
    border: 2px solid #ffffff;
    text-decoration: none;
    text-align: center;
}

.list-motos-container:hover, .esquema-eletrico-btn:hover{
    background: #000000;
    cursor: pointer;
}

.catalogo-container, .scheme-container{
    display: flex;
    max-width:1000px;
    margin: 0 auto;
    flex-direction: column;
    position: relative;
    grid-column: 2;
}

.catalogo-container{
    min-width: 800px;
}

.catalogo-overlay, .scheme-overlay{
    width: 100vw;
    height:calc(100vh - 6rem);
    padding: 3rem 0;
    position: fixed;
    z-index: 110;
    background: #191919;
    overflow-y: auto;
    scrollbar-color: #1a1a1a #3d3d3d;
    scrollbar-width: 5px;
    display: grid;
    grid-template-columns: 1fr auto 1fr;
    scroll-behavior: smooth;
    scroll-margin-top: 5rem;
    top: 0;
    left: 0;
}

.scheme-overlay{
    /* background: url("../assets/fundo.png"); */
    background: url("/motos-compativeis/app/assets/fundo.png");
    grid-template-columns: 9fr 10fr;
    max-height: 100vh;
}

.scheme-container.electric-panel{
    width: 80%;
}

.overlay-table.electric-table{
    width: 100%;
}

.overlay-table-head.electric, .overlay-table-data.electric{
    width: auto;
}

.catalogo-moto.electric-container{
    overflow: hidden;
}

.electric-panel-container{
    height: auto;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: end;
    position: sticky;
    height: max-content;
    top: 50%;
    transform: translateY(-50%);
    gap: 3rem;
}

.electric-panel-container-logo{
    width: 240px!important;
}

.electric-pin-container{
    position: relative;
    height: max-content;
    width: max-content;
}

.electric-panel-container img{
    width: 700px;
}

.overlay-title-electric.mobile, .close-button-electric.mobile, .electric-panel-header.mobile {
    display: none;
}


.electric-dot{
    background: #BA9434;
    border:1px solid black;
    width: 16px;
    height: 16px;
    position: absolute;
    border-radius: 50%;
    cursor: pointer;
    text-align: center;
    color: #000000;
    font-size: .6rem;
    font-weight: 600;
    line-height: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: background .2s ease-in-out;
}

.electric-dot:hover{
    background: #ffd56a;
}

.overlay-table-row.highlight, .electric-dot.highlight {
    background: #002594;
    transition: background 0.5s ease;
    color: #ffffff;
  }

  .overlay-table-row{
    cursor: pointer;
  }


.overlay-title, .overlay-title-electric{
    text-align: center;
    font-size: 1.6rem;
    color: #f0f0f0;
    font-weight: 900;
    margin-bottom: 3rem;
    height: 35px;
}

.close-button, .close-button-electric{
    width:25px;
    height: 25px;
    padding: 6px;
    position: absolute;
    top: 0;
    right: 0;
    border-radius: 50%;
    background: #f0f0f0;
    fill: #000000;
    transition: all .4s ease;
}

.close-button:hover, .close-button-electric:hover{
    cursor: pointer;
    background: #ff0000;
    fill:#f0f0f0;
}

.catalogo-moto{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    padding: 2rem;
    background: #2d2d2d;
    border-radius: 25px;
    box-shadow: 2px 4px 8px rgba(255,255,255, .25);
    margin-bottom: 2rem;
    scroll-margin-top: 1.8rem;
}

.catalogo-hero{
    display: flex;
    flex-direction: column;
    align-items: center;
    row-gap: 1rem;
}

.catalogo-hero-title{
    font-size: 2rem;
    font-weight: 900;
    color: #f0f0f0
}

.catalogo-img{
    max-width: 250px;
}

.overlay-table{
    width: 50%;
    height: max-content;
    opacity: 1;
    border-radius: 25px;
}

.electric-table-head{
    background: #fff!important;
}

.overlay-table-head{
    color: #000000;
    font-weight: 600;
}

.overlay-table, .overlay-table-head, .overlay-table-data {
    border: 2px solid #dfdfdf;
}

.overlay-table-row-data:nth-child(even){
    background: #1a1a1a;
}
.overlay-table-row-data{
    background: #2f2f2f;
}

.overlay-sumary{
    height: calc(100vh - 3rem);
   grid-column: 1;
    position: relative;
}

.overlay-list{
    list-style-position: inside;
    list-style-type: disc;
    padding: 1.4rem;
    width: 200px;
    background: #2d2d2d;
    margin: calc(3rem + 35px) auto 0 auto;
    border-radius: 25px;
    box-shadow: -2px 2px 2px rgba(255,255,255, .2);
}

.list-link{
    color: #fff;
}

li:not(:last-child){
    margin-bottom: 8px;
}

li::marker{
    color: #ffffff;
}

.toTop{
    fill: black;
    width: 25px;
    height: 25px;
    background: #ffffff;
    padding: 6px;
    border-radius: 50%;
    position: fixed;
    bottom: 25px;
    right: 40px;
    visibility: hidden;
    opacity: 0;
    transition: background .3s ease, fill .3s ease;
}

.toTop:hover{
    background: #a0a0a0;
    fill: #202020;
    cursor: pointer;
}



@media screen and (max-width: 1600px){
    .overlay-table{
        font-size: .8rem;
    }

    .catalogo-hero-title{
        font-size: 1.4rem;
    }

    .catalogo-img {
        max-width: 210px;
    }

    .overlay-title{
        font-size: 1.2rem;
    }

    .close-button{
        width: 20px;
        height: 20px;
    }

    .overlay-list{
        font-size: .8rem;
    }

    .electric-pin-container img {
        width: 420px;
    }
}

@media screen and (max-width: 1350px){
    .catalogo-overlay{
        display: block;
    }

    .overlay-sumary{
        height: max-content;
    }

    .overlay-list{
        margin: 0 auto;
        width: 80%;
        justify-content: center;
        display: flex;
        flex-wrap: wrap;
        gap: 1rem;
        margin-bottom: 2rem;
    }

    li:not(:last-child){
        margin: 0;
    }

    li{
        margin: 0;
    }

    .overlay-title{
        margin-bottom: .5rem;
    }

    .catalogo-moto{
        justify-content: space-evenly;
    }

    table{
        width: 40%;
    }

}

@media screen and (max-width: 1200px){
    .scheme-overlay{
        display: flex;
        flex-direction: column;
        padding: 0 0 3rem 0;
        height: calc(100dvh - 3rem);
        gap: 2rem
    }

    .electric-panel-container{
    justify-content: center;
    position: sticky;
    top: 0;
    transform: translateY(0);
    height: max-content;
    z-index: 1;
    background: linear-gradient(to top, transparent, #03002e 10%, #000000 60%);
    flex-direction: column;
    align-items: center;
    padding-bottom: 3rem;
    }

    .overlay-title-electric, .close-button-electric {
        display: none;
    }

    .overlay-title-electric.mobile, .close-button-electric.mobile{
        display: block;
    }

    .overlay-title-electric.mobile{
        margin-bottom: 0;
    }

    .electric-panel-header.mobile{
        display: flex;
        align-items: center;
        position: relative;
        justify-content: center;
        width: 80%;
        padding: 1rem 0;
        margin-bottom: 1rem;
    }

    .close-button-electric{
        top: 50%;
        transform: translateY(-50%);
    }

    .electric-panel-container-logo{
        width: 150px!important;
        margin-top: 1rem
    }

    .electric-panel-container{
        gap: .6rem;
    }

    .electric-dot {
        width: 14px;
        height: 14px;
        opacity: 1;
    }

        .electric-panel-header.mobile {
        padding: 0;
        margin-bottom: 0;
    }

}

@media screen and (max-width: 1100px){

    .catalogo-container{
        width:80vw;
    }

    .motorcycle-img{
        width:250px;
    }

    .hero-title{
        font-size: 4.6rem;
    }

    table{
        font-size: .9rem;
        width: 50%;
    }

    .swiper-slide{
        column-gap: 4rem;
    }

}

@media screen and (max-width: 950px){
    .catalogo-moto{
        padding: 1.4rem;
    }

    .catalogo-hero-title{
        font-size: 1.2rem;
    }

    .catalogo-img{
        max-width: 180px;
    }

    .overlay-table{
        font-size: .75rem;
        
    }

    .overlay-table-head, .overlay-table-data{
        padding: .3rem;
        
    }

    .overlay-list{
        padding: 1rem;
        width:90%;
    }

    .logo-athlon{
        width:130px;
    }

    .list-motos-container,.esquema-eletrico-btn {
        font-size: .8rem;
        border: none;
        background: #ffffff;
        color:#000000;
        font-weight: 600;
        padding: 10px 16px;
    }

    .list-motos-container:hover, .esquema-eletrico-btn:hover {
        background: #ffffff;
        transform: none;
        color: #000000;
    }

    .input-modelo{
        font-size: .8rem;
        background: #d5d5d5;
        color: #000000;
        border: 2px solid #d5d5d5;
    }

    .input-modelo::placeholder{
        color:#777777;
    }

    .input-modelo:focus{
        border: 2px solid #ffffff;
    }
}

@media screen and (max-width: 850px){
    .overlay-table{
        width:60%;
    }

    .close-button{
        width:17px;
        height: 17px;
    }

    .header-top{
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        column-gap: 2rem;
    }

    .input-modelo{
        width: calc(100% - 36px);
    }

    .catalogo-container{
        min-width:auto;
    }
}

@media screen and (max-width: 768px){
    .catalogo-container{
        width:90vw;
    }

    .overlay-list{
        width: calc(100% - (1.4rem * 2));
    }

    .overlay-title{
        font-size: 1.1rem;
    }

    li{
        list-style-type: "•";
        list-style-position: outside;
        padding-left: 4px;
    }

    li::marker{
        font-family: "Tahoma";
    }

    .toTop{
        bottom: 20px;
        right: 20px;
    }

    .input-modelo{
        display: none;
    }


    .electric-pin-container img {
        width: 320px;
    }
}

@media screen and (max-width:700px){
    .swiper-slide{
        flex-direction: column;
        row-gap: 1rem;
    }
    .swiper-slide-active{
        max-height: calc(100dvh - 88px)!important;
        padding-top: 88px;
    }

    table{
        width: 80%;
    }
}

@media screen and (max-width: 620px){
    header{
        width: 100%;
        padding: .8rem 0;
        row-gap: .6rem;
    }

     .list-motos-container, .esquema-eletrico-btn{
        padding: 8px;
        font-size: .7rem;
     }

     .logo-athlon{
        width: 120px;
     }

     .swiper-slide-active{
        max-height: calc(100dvh - 60px)!important;
        padding-top: 60px;
    }

    .motorcycle-img{
        height: 160px;
        width: auto;
    }


}

@media screen and (max-width:600px){
    .overlay-title{
        font-size: 1rem;
        margin-bottom: .8rem;
    }

    .catalogo-moto{
        padding: 1.4rem 0;
        flex-direction: column;
        max-width: 430px;
        width: 100%;
        margin: 0 auto 2rem auto;
        column-gap: 0;
        row-gap: 1rem;
    }

    .overlay-table{
        width: 80%;
    }

    .overlay-list{
        font-weight: 500;
        column-gap: 1.2rem;
        row-gap: .6rem;
        justify-content: center;
        width: calc(100% - (2rem));
    }
}

@media screen and (max-width: 540px){
    .overlay-title-electric.mobile{
        font-size: 1.2rem;
    }

    .close-button-electric {
    width: 20px;
    height: 20px;
    padding: 2px;
    }

    .overlay-title-electric.mobile{
        height: auto;
    }

    .scheme-container.electric-panel{
        width: 90%;
    }

    .overlay-table-data.electric{
        font-size: .7rem;
        padding: .5rem .3rem;
    }
}

@media screen and (max-width: 520px){
    
    .hero-title{
        font-size: 3.2rem;
    }
    table{
        font-size: .8rem;
    }

    .swiper-slide-active{
        justify-content: center;
    }

    table{
        width: 90%;
    }

    .img-container{
        margin-top: 1rem;
    }

    header{
        flex-direction: column;
    }
}

@media screen and (max-width: 460px){
    .overlay-list{
        padding: .6rem 1rem;
        width: calc(100% - 2rem);
        margin: 1rem auto 1.4rem auto;
    }

    .close-button{
        width: 20px;
        height: 20px;
    }

    .catalogo-moto{
        margin: 0 auto 1.4rem auto;
    }

    .overlay-table{
        width: 85%;
    }

    .catalogo-overlay{
        height: calc(100dvh - 3rem);
    }

    .electric-pin-container img {
        width: 100%;
    }

    .electric-pin-container{
        width: 95%;
        margin: 0 auto;
    }

    .electric-dot {
        width: 13px;
        height: 13px;
        opacity: 1;
    }

    .overlay-table.electric-table colgroup col:nth-child(1){
        min-width: auto!important;
    }

}


@media screen and (max-width: 410px){
    .catalogo-img{
        max-width:160px;
    }

    .catalogo-hero-title{
        font-size: 1.1rem;;
    }

    .overlay-table{
        width: 90%;
    }
}

@media screen and (max-width: 390px){
    .overlay-table-data.electric{
        font-size: .6rem;
    }

}

@media screen and (max-height: 770px) and (orientation: portrait) and (max-width: 410px){
    .hero-title{
        font-size: 2.8rem;
    }

    .motorcycle-img{
        height: 140px;
        width: auto;
    }

    table{
        font-size: .7rem;
    }

    th,td{
        padding: .4rem;
    }

    .input-modelo{
        padding: 6px;
        width: calc(70% - 12px);
        font-size: .75rem;
    }
}

@media screen and (max-height: 670px) and (orientation: portrait) and (max-width: 375px){
    .hero-title{
        font-size: 2.2rem;
    }

    .motorcycle-img{
        height: 110px;
        width: auto;
    }

    .img-container{
        margin-top: .4rem;
    }

    .swiper-slide-active{
        row-gap: .4rem;
    }

    .swiper-slide-active{
        justify-content: start;
    }
}

@media screen and (max-height: 600px) and (orientation: portrait) and (max-width: 360px){
    
    th,td{
        padding: .3rem;
    }

    table{
        font-size: .6rem;
    }
}

@media screen and (max-height: 520px) and (orientation: portrait) and (max-width: 360px){

    .logo-athlon{
        width: 100px;
    }
    .list-motos-container, .esquema-eletrico-btn{
        padding: 6px;
        font-size: .6rem;
    }

    .motorcycle-img{
        height: 95px;
    }

    .hero-title{
        font-size: 2rem;
    }

}